---
title: Using images in HTML
slug: Web/Media/images
tags:
  - HTML
  - Images
  - Landing
  - Media
---
<p>The {{Glossary("HTML")}} {{HTMLElement("img")}} element lets you embed images into an HTML document, while the {{HTMLElement("picture")}} element enables <a href="/en-US/docs/Learn/HTML/Multimedia_and_embedding/Responsive_images">responsive images</a>. In this guide you'll find links to resources that deal with adding images to websites.</p>

<div class="row topicpage-table">
<div class="section">
<h2 class="Documentation" id="References">References</h2>

<p>These articles cover some of the HTML elements and CSS properties that are used to control how images are displayed on the web.</p>

<h3 id="HTML">HTML</h3>

<dl>
 <dt>{{HTMLElement("img")}}</dt>
 <dd>The <strong>HTML <code>&lt;img&gt;</code> element</strong> is used to embed an image in a webpage. It supports a wide range of attributes that control how the image behaves and allows you to add important information like {{htmlattrxref("alt", "img")}} text for people who don't see the image.</dd>
 <dt>{{HTMLElement("picture")}}</dt>
 <dd>The <strong>HTML <code>&lt;picture&gt;</code> element</strong> contains zero or more {{HTMLElement("source")}} elements and one {{HTMLElement("img")}} element which provides versions of an image for different display/device scenarios. The browser considers each child <code>&lt;source&gt;</code> element and chooses the best match among them.</dd>
</dl>

<h3 id="CSS">CSS</h3>

<dl>
 <dt>{{cssxref("object-fit")}}</dt>
 <dd>The <strong><code>object-fit</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets how the content of a <a href="/en-US/docs/Web/CSS/Replaced_element">replaced element</a>, such as an <a href="/en-US/docs/Web/HTML/Element/img" title="The HTML &lt;img&gt; element embeds an image into the document."><code>&lt;img&gt;</code></a> or <a href="/en-US/docs/Web/HTML/Element/video" title="The HTML Video element (&lt;video&gt;) embeds a media player which supports video playback into the document. You can use &lt;video&gt; for audio content as well, but the &lt;audio&gt; element may provide a more appropriate user experience."><code>&lt;video&gt;</code></a>, should be resized to fit its container.</dd>
 <dt>{{cssxref("object-position")}}</dt>
 <dd>The <strong><code>object-position</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property specifies the alignment of content in a selected <a href="/en-US/docs/Web/CSS/Replaced_element">replaced element</a> within the element's box. Areas of the box which aren't covered by the replaced element's object will show the element's background.</dd>
 <dt>{{cssxref("background-image")}}</dt>
 <dd>The <strong><code>background-image</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets one or more background images for an element.</dd>
</dl>
</div>

<div class="section">
<h2 class="Documentation" id="Guides">Guides</h2>

<p>These articles provide guidance on selecting and configuring image types.</p>

<dl>
 <dt><a href="/en-US/docs/Web/Media/Formats/Image_types">Image file type and format guide</a></dt>
 <dd>A guide to the various image file types commonly supported by web browsers including details about their individual use cases, capabilities, and compatibility factors. Additionally, this article provides guidance for selecting the best image file type for a given situation.</dd>
 <dt><a href="/en-US/docs/Web/Media/images/aspect_ratio_mapping">Mapping the width and height attributes of media container elements to their aspect-ratio</a></dt>
 <dd>This changes how browsers load images so their aspect ratios are calculated by the browser early on and can later be used to correct the display size of an image before it's loaded.</dd>
</dl>

<h2 id="Other_topics">Other topics</h2>

<p>Related topics that may be of interest.</p>

<dl>
 <dt><a href="/en-US/docs/Learn/HTML/Multimedia_and_embedding/Responsive_images">Learn HTML: Responsive Images</a></dt>
 <dd>In this article, we'll learn about the concept of responsive images — images that work well on devices with widely differing screen sizes, resolutions, and other such features — and look at what tools HTML provides to help implement them.</dd>
</dl>
</div>
</div>
